﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace AccountServiceReference
{
    using System.Runtime.Serialization;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.2")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Account", Namespace="http://schemas.datacontract.org/2004/07/DotNetSoapService.Services")]
    public partial class Account : object
    {
        
        private string FirstField;
        
        private string LastField;
        
        private string PasswordField;
        
        private string UserField;
        
        private int UserIdField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string First
        {
            get
            {
                return this.FirstField;
            }
            set
            {
                this.FirstField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Last
        {
            get
            {
                return this.LastField;
            }
            set
            {
                this.LastField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Password
        {
            get
            {
                return this.PasswordField;
            }
            set
            {
                this.PasswordField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string User
        {
            get
            {
                return this.UserField;
            }
            set
            {
                this.UserField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int UserId
        {
            get
            {
                return this.UserIdField;
            }
            set
            {
                this.UserIdField = value;
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.2")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="AccountServiceReference.IAccountService")]
    public interface IAccountService
    {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/CreateAccount", ReplyAction="http://tempuri.org/IAccountService/CreateAccountResponse")]
        System.Threading.Tasks.Task<AccountServiceReference.Account> CreateAccountAsync(AccountServiceReference.Account account);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/GetAccountById", ReplyAction="http://tempuri.org/IAccountService/GetAccountByIdResponse")]
        System.Threading.Tasks.Task<AccountServiceReference.Account> GetAccountByIdAsync(int userId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/GetAccountByUser", ReplyAction="http://tempuri.org/IAccountService/GetAccountByUserResponse")]
        System.Threading.Tasks.Task<AccountServiceReference.Account> GetAccountByUserAsync(string user);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/UpdateAccount", ReplyAction="http://tempuri.org/IAccountService/UpdateAccountResponse")]
        System.Threading.Tasks.Task UpdateAccountAsync(AccountServiceReference.Account account);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/GetAllAccounts", ReplyAction="http://tempuri.org/IAccountService/GetAllAccountsResponse")]
        System.Threading.Tasks.Task<AccountServiceReference.Account[]> GetAllAccountsAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/DeleteAccount", ReplyAction="http://tempuri.org/IAccountService/DeleteAccountResponse")]
        System.Threading.Tasks.Task DeleteAccountAsync(int userId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAccountService/DeleteAllAccounts", ReplyAction="http://tempuri.org/IAccountService/DeleteAllAccountsResponse")]
        System.Threading.Tasks.Task DeleteAllAccountsAsync();
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.2")]
    public interface IAccountServiceChannel : AccountServiceReference.IAccountService, System.ServiceModel.IClientChannel
    {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.2")]
    public partial class AccountServiceClient : System.ServiceModel.ClientBase<AccountServiceReference.IAccountService>, AccountServiceReference.IAccountService
    {
        
        /// <summary>
        /// Implement this partial method to configure the service endpoint.
        /// </summary>
        /// <param name="serviceEndpoint">The endpoint to configure</param>
        /// <param name="clientCredentials">The client credentials</param>
        static partial void ConfigureEndpoint(System.ServiceModel.Description.ServiceEndpoint serviceEndpoint, System.ServiceModel.Description.ClientCredentials clientCredentials);
        
        public AccountServiceClient() : 
                base(AccountServiceClient.GetDefaultBinding(), AccountServiceClient.GetDefaultEndpointAddress())
        {
            this.Endpoint.Name = EndpointConfiguration.BasicHttpsBinding.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }
        
        public AccountServiceClient(EndpointConfiguration endpointConfiguration) : 
                base(AccountServiceClient.GetBindingForEndpoint(endpointConfiguration), AccountServiceClient.GetEndpointAddress(endpointConfiguration))
        {
            this.Endpoint.Name = endpointConfiguration.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }
        
        public AccountServiceClient(EndpointConfiguration endpointConfiguration, string remoteAddress) : 
                base(AccountServiceClient.GetBindingForEndpoint(endpointConfiguration), new System.ServiceModel.EndpointAddress(remoteAddress))
        {
            this.Endpoint.Name = endpointConfiguration.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }
        
        public AccountServiceClient(EndpointConfiguration endpointConfiguration, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(AccountServiceClient.GetBindingForEndpoint(endpointConfiguration), remoteAddress)
        {
            this.Endpoint.Name = endpointConfiguration.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }
        
        public AccountServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress)
        {
        }
        
        public System.Threading.Tasks.Task<AccountServiceReference.Account> CreateAccountAsync(AccountServiceReference.Account account)
        {
            return base.Channel.CreateAccountAsync(account);
        }
        
        public System.Threading.Tasks.Task<AccountServiceReference.Account> GetAccountByIdAsync(int userId)
        {
            return base.Channel.GetAccountByIdAsync(userId);
        }
        
        public System.Threading.Tasks.Task<AccountServiceReference.Account> GetAccountByUserAsync(string user)
        {
            return base.Channel.GetAccountByUserAsync(user);
        }
        
        public System.Threading.Tasks.Task UpdateAccountAsync(AccountServiceReference.Account account)
        {
            return base.Channel.UpdateAccountAsync(account);
        }
        
        public System.Threading.Tasks.Task<AccountServiceReference.Account[]> GetAllAccountsAsync()
        {
            return base.Channel.GetAllAccountsAsync();
        }
        
        public System.Threading.Tasks.Task DeleteAccountAsync(int userId)
        {
            return base.Channel.DeleteAccountAsync(userId);
        }
        
        public System.Threading.Tasks.Task DeleteAllAccountsAsync()
        {
            return base.Channel.DeleteAllAccountsAsync();
        }
        
        public virtual System.Threading.Tasks.Task OpenAsync()
        {
            return System.Threading.Tasks.Task.Factory.FromAsync(((System.ServiceModel.ICommunicationObject)(this)).BeginOpen(null, null), new System.Action<System.IAsyncResult>(((System.ServiceModel.ICommunicationObject)(this)).EndOpen));
        }
        
        public virtual System.Threading.Tasks.Task CloseAsync()
        {
            return System.Threading.Tasks.Task.Factory.FromAsync(((System.ServiceModel.ICommunicationObject)(this)).BeginClose(null, null), new System.Action<System.IAsyncResult>(((System.ServiceModel.ICommunicationObject)(this)).EndClose));
        }
        
        private static System.ServiceModel.Channels.Binding GetBindingForEndpoint(EndpointConfiguration endpointConfiguration)
        {
            if ((endpointConfiguration == EndpointConfiguration.BasicHttpsBinding))
            {
                System.ServiceModel.BasicHttpBinding result = new System.ServiceModel.BasicHttpBinding();
                result.MaxBufferSize = int.MaxValue;
                result.ReaderQuotas = System.Xml.XmlDictionaryReaderQuotas.Max;
                result.MaxReceivedMessageSize = int.MaxValue;
                result.AllowCookies = true;
                result.Security.Mode = System.ServiceModel.BasicHttpSecurityMode.Transport;
                return result;
            }
            throw new System.InvalidOperationException(string.Format("Could not find endpoint with name \'{0}\'.", endpointConfiguration));
        }
        
        private static System.ServiceModel.EndpointAddress GetEndpointAddress(EndpointConfiguration endpointConfiguration)
        {
            if ((endpointConfiguration == EndpointConfiguration.BasicHttpsBinding))
            {
                return new System.ServiceModel.EndpointAddress("https://localhost:6001/AccountService.asmx");
            }
            throw new System.InvalidOperationException(string.Format("Could not find endpoint with name \'{0}\'.", endpointConfiguration));
        }
        
        private static System.ServiceModel.Channels.Binding GetDefaultBinding()
        {
            return AccountServiceClient.GetBindingForEndpoint(EndpointConfiguration.BasicHttpsBinding);
        }
        
        private static System.ServiceModel.EndpointAddress GetDefaultEndpointAddress()
        {
            return AccountServiceClient.GetEndpointAddress(EndpointConfiguration.BasicHttpsBinding);
        }
        
        public enum EndpointConfiguration
        {
            
            BasicHttpsBinding,
        }
    }
}
